Bug Hunting Session
Bug 109011 - Calc: Edit-Paste Only items Text/Number/Formula don't paste content from Excel
Summary: Calc: Edit-Paste Only items Text/Number/Formula don't paste content from Excel
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.0.3 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL: https://help.libreoffice.org/6.1/en-U...
Whiteboard:
Keywords: implementationError
Depends on:
Blocks: Paste-Special
  Show dependency treegraph
 
Reported: 2017-07-08 05:30 UTC by Dan Dascalescu
Modified: 2019-05-27 02:45 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
:-/ (555.43 KB, image/gif)
2017-07-08 05:31 UTC, Dan Dascalescu
Details
My rest (46.33 KB, image/png)
2017-08-10 00:57 UTC, halima
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Dascalescu 2017-07-08 05:30:53 UTC
Description:
It's a little mind-boggling to me that this bug hasn't been filed yet, but I couldn't find it, so here it is.

Steps to Reproduce:
1. Open a new Excel spreadsheet
2. Type 1, Enter, 2, Enter, 3, Enter
3. Copy those three cells to the clipboard
4. Ensure you can paste them in a regular text editor
5. Create a new Calc spreadsheet
6. Attempt to paste the cells *as text*. Paste Only -> Text / Number / Formula do nothing.


Actual Results:  
Paste, and notice you've pasted an image.

Expected Results:
Text


Reproducible: Always

User Profile Reset: No - I've just installed LibreOffice.

Additional Info:
This is critical in migrating from Excel, because simply importing XLSM files brings a lot of cruft that slows down the sheet by an order of magnitude - See bug 100709.


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/59.0.3071.115 Safari/537.36
Comment 1 Dan Dascalescu 2017-07-08 05:31:24 UTC
Created attachment 134537 [details]
:-/
Comment 2 raal 2017-07-09 21:20:12 UTC
I can not confirm with LO 6, Excel 2010, Win7. Paste only-> text/number/formula doesn't work, but ctrl+v works correctly.
Comment 3 Dan Dascalescu 2017-07-10 06:37:28 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2017-08-07 13:08:00 UTC Comment hidden (obsolete)
Comment 5 halima 2017-08-08 00:58:40 UTC Comment hidden (obsolete)
Comment 6 Buovjaga 2017-08-08 07:53:53 UTC
(In reply to halima from comment #5)
> Excel 2016
> LO Version: 5.3.5.2
> Windows 10
> 
> Paste only-> text doesn't work
> but paste only or ctrl+v works fine

Do you get the same result as Dan: "Paste, and notice you've pasted an image."
Meaning, I think, that an OLE object is pasted.
Comment 7 halima 2017-08-10 00:57:48 UTC
Created attachment 135385 [details]
My rest

No for me it wasn't an image as you can see in the attached image but text. But  copy Paste only-> text doesn't work only ctrl+v 
I think it'slike raal


Windows 10
LO Version: 5.4.0.3 (x64)
Build ID: 7556cbc6811c9d992f4064ab9287069087d7f62c
Excel 2016
Comment 8 Timur 2018-02-21 10:54:17 UTC
Testing with 6.1+ master in Windows, I have working Ctrl+V, Paste Unformatted Text, and some Paste special options: GDI, DDE, Unformatted text, DIF, Formatted text, HTML, Biff8, Excel worksheet). Wording is Bug 89453.
I don't have working Edit-Paste Only: Text/Number/Formula. And I guess they should work (couldn't find help for them, that's another doc bug). So I'll confirm with title change as minor issue. Adding Implementation error because they were introduced in 5.3. 
Note: if testing, make sure you have only one LO version running. Otherwise options in Edit menu and right click are grayed/unavailable.
Comment 9 QA Administrators 2019-05-27 02:45:49 UTC
Dear Dan Dascalescu,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug